# getPodProcessorCount method

1. @override

int getPodProcessorCount()
override

Gets the number of registered pod-aware processors.

Pod-aware processors can modify pods during factory initialization.

## Usage Example:

    final count = factory.getPodProcessorCount();
    print('Number of pod-aware processors: $count');

@return The number of registered pod-aware processors

## Implementation

    @override
    int getPodProcessorCount() {
      int count = getPodFactory().getPodProcessorCount();

      if (_parent != null) {
        count += _parent!.getPodFactory().getPodProcessorCount();
      }

      return count;
    }